Subject: bug#31739: 25.2; Cannot expire articles in virtual group

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Oct 2019 05:16:50 +0200

Jamie Forth <[email-masked]> writes:

> Stepping through gnus-group-expire-articles-1, 
> expirable is nil.
>
> The value returned from (gnus-info-marks info) is:
>
>   ((seen (22 . 40)) (unexist (1 . 34)))
>
> So the expirable marks are getting dropped somehow?

Sounds like it.

For my test group, I get:

(assq 'expire (gnus-info-marks (gnus-get-info "nnvirtual:imap-test")))
=> (expire 392790 394237)

You get nil for yours?

I've looked through the code for something special being done with the
expirable marks, and I can't find anything that's nixing out those in
particular.  But I may be looking in the wrong parts of the code...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no